| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyCACPolicyRequest Struct Reference
Call Admission Control

Modify CAC Policy request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | CACGroupName
| The name of the CAC Group whose policy is to be modified. More...
xsd__short | CACPolicyType
| Indicates the CAC policy type. More...
enum unsp__CACPolicyLimitType * | CACPolicyLimitType
| Indicates the type of limit specified by the CACPolicy. More...
xsd__short * | CallLimit
| If the CAC policy is to impose a limit on the number of calls, this parameter should be specified. More...
xsd__int * | BandWidthLimit
| If the CAC policy is to impose a limit on the bandwidth, this parameter should be specified (Kbps or Units). More...
enum unsp__CACPolicyOptionFlag * | CACPolicyOptionFlag
struct unsp__CACPolicyAttributes * | CACPolicyAttributes
| The options of the policy. More...
struct unsp__DynamicCACPolicyInfo * | DynamicCACPolicyInfo
| Dynamic CAC Policy Information. More...
struct unsp__CACPolicyCodecsAllowed * | CACPolicyCodecsAllowed
| Codecs Allowed. More...
struct unsp__CACPolicyVideoCodecsAllowed * | CACPolicyVideoCodecsAllowed
| Video Codecs Allowed. More...
enum unsp__ProfileLevel * | MaximumProfileLevel
| Maximum allowed profile level for H.264. More...
xsd__boolean * | GenerateAlarm
| Enable or disable generation of alarms when the CACPolicyLimitType exceeds its thresholds. More...
xsd__short * | AlarmLowThreshold
| Sets the low percentage threshold for the selected policy type. More...
xsd__short * | AlarmHighThreshold
| Sets the high percentage threshold for the selected policy type. More...
xsd__int * | MaxVideoCodecBandWidth
| Maximum Video Codec BandWidth. More...
bool * | Directionalization
| Directionalization. More...
bool * | USDoDAsac
| US DoD ASAC. More...
xsd__short * | MaxNumOfInCalls
| Maximum number of Incoming Calls. More...
xsd__short * | MaxNumOfOutCalls
| Maximum number of Outgoing Calls. More...
xsd__int * | MaxInBandwidth
| Maximum Incoming Bandwidth (Kbps or Units). More...
xsd__int * | MaxOutBandwidth
| Maximum Outgoing Bandwidth (Kbps or Units). More...
bool * | useTIASForBWCalculation
| Use TIAS for BW Calculation. More...
xsd__int * | transportOverhead
| Transport Overhead. More...

## Detailed Description

Modify CAC Policy request.

Used by unsp__ModifyCACPolicy()

## Member Data Documentation

## ◆ AlarmHighThreshold

xsd__short* unsp__ModifyCACPolicyRequest::AlarmHighThreshold

Sets the high percentage threshold for the selected policy type.

When exceeded an alarm will be generated if GenerateAlarm is set to true.
required: false
default value[range]: 80 [10-100]

## ◆ AlarmLowThreshold

xsd__short* unsp__ModifyCACPolicyRequest::AlarmLowThreshold

Sets the low percentage threshold for the selected policy type.

When exceeded an alarm will be generated if GenerateAlarm is set to true.
required: false
default value[range]: 60 [0-90]

## ◆ BandWidthLimit

xsd__int* unsp__ModifyCACPolicyRequest::BandWidthLimit

If the CAC policy is to impose a limit on the bandwidth, this parameter should be specified (Kbps or Units).

required: false
default value[range]: NA [0..2147483647]

## ◆ CACGroupName

xsd__string unsp__ModifyCACPolicyRequest::CACGroupName

The name of the CAC Group whose policy is to be modified.

required: true

See also
  unsp__CGName

## ◆ CACPolicyAttributes

struct unsp__CACPolicyAttributes* unsp__ModifyCACPolicyRequest::CACPolicyAttributes

The options of the policy.

required: false

## ◆ CACPolicyCodecsAllowed

struct unsp__CACPolicyCodecsAllowed* unsp__ModifyCACPolicyRequest::CACPolicyCodecsAllowed

Codecs Allowed.

required: false

## ◆ CACPolicyLimitType

enum unsp__CACPolicyLimitType* unsp__ModifyCACPolicyRequest::CACPolicyLimitType

Indicates the type of limit specified by the CACPolicy.

required: false
default value[range]: NA

## ◆ CACPolicyOptionFlag

enum unsp__CACPolicyOptionFlag* unsp__ModifyCACPolicyRequest::CACPolicyOptionFlag

Deprecated:
  NA

## ◆ CACPolicyType

xsd__short unsp__ModifyCACPolicyRequest::CACPolicyType

Indicates the CAC policy type.

Policy type is a bitmap, where its bits represent the FaxPolicy, VoicePolicy, and VideoPolicy.

- 0x0004 (VideoPolicyType)
- 0x0005 (Voice & VideoPolicyType)
- 0x0006 (FaxPolicyType)

required: true
default value[range]: NA

## ◆ CACPolicyVideoCodecsAllowed

struct unsp__CACPolicyVideoCodecsAllowed* unsp__ModifyCACPolicyRequest::CACPolicyVideoCodecsAllowed

Video Codecs Allowed.

required: false

## ◆ CallLimit

xsd__short* unsp__ModifyCACPolicyRequest::CallLimit

If the CAC policy is to impose a limit on the number of calls, this parameter should be specified.

required: false
default value[range]: NA [0..2147483647]

## ◆ Directionalization

bool* unsp__ModifyCACPolicyRequest::Directionalization

Directionalization.

required: false
default value[range]: false

## ◆ DynamicCACPolicyInfo

struct unsp__DynamicCACPolicyInfo* unsp__ModifyCACPolicyRequest::DynamicCACPolicyInfo

Dynamic CAC Policy Information.

required: false

## ◆ GenerateAlarm

xsd__boolean* unsp__ModifyCACPolicyRequest::GenerateAlarm

Enable or disable generation of alarms when the CACPolicyLimitType exceeds its thresholds.

Limit type policies are:

- Bandwidth limit
- Number of calls

required: false
default value[range]: false

## ◆ MaximumProfileLevel

enum unsp__ProfileLevel* unsp__ModifyCACPolicyRequest::MaximumProfileLevel

Maximum allowed profile level for H.264.

required: false
default value[range]: Level_2_1

## ◆ MaxInBandwidth

xsd__int* unsp__ModifyCACPolicyRequest::MaxInBandwidth

Maximum Incoming Bandwidth (Kbps or Units).

required: false

## ◆ MaxNumOfInCalls

xsd__short* unsp__ModifyCACPolicyRequest::MaxNumOfInCalls

Maximum number of Incoming Calls.

required: false

## ◆ MaxNumOfOutCalls

xsd__short* unsp__ModifyCACPolicyRequest::MaxNumOfOutCalls

Maximum number of Outgoing Calls.

required: false

## ◆ MaxOutBandwidth

xsd__int* unsp__ModifyCACPolicyRequest::MaxOutBandwidth

Maximum Outgoing Bandwidth (Kbps or Units).

required: false

## ◆ MaxVideoCodecBandWidth

xsd__int* unsp__ModifyCACPolicyRequest::MaxVideoCodecBandWidth

Maximum Video Codec BandWidth.

required: false
default value[range]: NA

## ◆ OperatorId

xsd__string unsp__ModifyCACPolicyRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ transportOverhead

xsd__int* unsp__ModifyCACPolicyRequest::transportOverhead

Transport Overhead.

required: false
default value[range]: 10 [0-100]

## ◆ USDoDAsac

bool* unsp__ModifyCACPolicyRequest::USDoDAsac

US DoD ASAC.

required: false
default value[range]: false

## ◆ useTIASForBWCalculation

bool* unsp__ModifyCACPolicyRequest::useTIASForBWCalculation

Use TIAS for BW Calculation.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h